Package org.lwjgl.opengl

# Class OpenGLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.lwjgl.opengl.OpenGLException

All Implemented Interfaces:
  `Serializable`

public class OpenGLException extends RuntimeException

Thrown by the debug build library of the LWJGL if any OpenGL operation causes an error.

Version:
  $Revision$ $Id$
Author:
  cix_foo invalid input: '<'cix_foo@users.sourceforge.net>
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OpenGLException()`
Constructor for OpenGLException.
`OpenGLException(int gl_error_code)`
Constructor for OpenGLException.
`OpenGLException(String message)`
Constructor for OpenGLException.
`OpenGLException(String message, Throwable cause)`
Constructor for OpenGLException.
`OpenGLException(Throwable cause)`
Constructor for OpenGLException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OpenGLException

public OpenGLException(int gl_error_code)
Constructor for OpenGLException.

### OpenGLException

public OpenGLException()
Constructor for OpenGLException.

### OpenGLException

public OpenGLException(String message)
Constructor for OpenGLException.

Parameters:
  `message` -

### OpenGLException

public OpenGLException(String message, Throwable cause)
Constructor for OpenGLException.

Parameters:
  `message` -
  `cause` -

### OpenGLException

public OpenGLException(Throwable cause)
Constructor for OpenGLException.

Parameters:
  `cause` -